import axios from '@/libs/axios.js'

// 货架分页列表
export const getShelfList = (params) => {
	let url = `shelf/queryPage/${params.pageNo}/${params.pageSize}`
	delete params.pageNo
	delete params.pageSize
	return axios.request({
		url: url,
		data: params,
		method: 'post'
	})
}
//  货架  货位产品 列表 不分页
export const shelfProductList = (params) => {
  return axios.request({
    url: `shelf/placeProduct/queryList`,
    data: params,
    method: 'post'
  })
}
//  货架  详情
export const shelfDetail = (params) => {
  return axios.request({
    url: `shelf/queryBySn/${params.sn}`,
    data: params,
    method: 'post'
  })
}
// 货架  货位产品 列表 分页
export const getShelfProductList = (params) => {
	let url = `shelf/placeProduct/queryPage/${params.pageNo}/${params.pageSize}`
	delete params.pageNo
	delete params.pageSize
	return axios.request({
		url: url,
		data: params,
		method: 'post'
	})
}